For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GET Get Inventory
      • GET Get All Inventories
      • GET Get All Inventory Levels
      • GET Get Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Fulfillment Center
      • GET Get All Inventory Levels Grouped By Lot
      • GET Get Inventory Levels
      • GET Get Inventory Levels Grouped By Lot
      • GET Get Lot Exclusions
      • POST Create Lot Exclusion
      • POST Delete Lot Exclusion
      • POST Restore Lot Exclusion
LogoLogo
API ReferenceInventory

Get Inventory Levels

||View as Markdown|
GET
https://sandbox-api.shipbob.com/Experimental/inventory-level/:inventoryId
GET
/Experimental/inventory-level/:inventoryId
$curl https://sandbox-api.shipbob.com/Experimental/inventory-level/1 \
> -H "Authorization: Bearer <token>"
1{
2 "inventory_id": 0,
3 "name": "string",
4 "sku": "string",
5 "total_awaiting_quantity": 0,
6 "total_backordered_quantity": 0,
7 "total_committed_quantity": 0,
8 "total_damaged_quantity": 0,
9 "total_exception_quantity": 0,
10 "total_fulfillable_quantity": 0,
11 "total_in_fulfillment_quantity": 0,
12 "total_internal_transfer_quantity": 0,
13 "total_on_hand_quantity": 0,
14 "total_quarantine_quantity": 0,
15 "total_sellable_quantity": 0,
16 "userId": 0
17}

Retrieves the aggregated inventory levels for a specific inventory item across all locations, including available, on-hand, committed, and other quantity types.

Was this page helpful?
Previous

Get All Inventory Levels Grouped By Lot

Next

Get Inventory Levels Grouped By Lot

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

inventoryIdintegerRequired

Response

OK
inventory_idinteger
Unique identifier for the inventory item
namestring
Name of the inventory item
skustring
Stock keeping unit identifier
total_awaiting_quantityinteger
Total quantity expected to arrive from receiving or transfers
total_backordered_quantityinteger
Total quantity on backorder for pending shipments
total_committed_quantityinteger
Total quantity reserved for existing orders and allocations
total_damaged_quantityinteger
Total quantity currently marked as damaged
total_exception_quantityinteger

Total quantity in exception status (damaged, lost, or under investigation)

total_fulfillable_quantityinteger

Total quantity available to fulfill new orders (on-hand minus committed)

total_in_fulfillment_quantityinteger
Total quantity of inventory items that are currently in the fulfillment process
total_internal_transfer_quantityinteger
Total quantity currently in transit between fulfillment centers
total_on_hand_quantityinteger
Total quantity physically present in all fulfillment centers
total_quarantine_quantityinteger
Total quantity currently in quarantine status
total_sellable_quantityinteger

Total quantity available for sale (fulfillable plus awaiting minus quarantine minus damaged)

userIdinteger

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error